////////////////////////////////////////////////////////////////////
//
//  appDelegate.h
//
//  Created by Francesco Germinara on Sun Jul 04 2004.
// 
//  By SofTech di F.Germinara - www.germinara.it. All rights reserved.
//
//  For information please contact me at info@germinara.it 
////////////////////////////////////////////////////////////////////
//  History:
//
//  Description:
//
////////////////////////////////////////////////////////////////////

#import <Cocoa/Cocoa.h>
#import <Carbon/Carbon.h>

#define MAXPANELS 10

@interface appDelegate : NSObject
{
	 IBOutlet NSWindow *wndSplashScreen; //Splash Screen ad inizio programma
	 IBOutlet NSWindow *wndMainApp; //Finestra Applicazione
	 
	 IBOutlet NSPanel *panelStartup; 
	 IBOutlet NSPanel *panelApp;
	 IBOutlet NSPanel *panelPower;
	 IBOutlet NSPanel *panelMenu;
	 IBOutlet NSPanel *panelSystem;
	 IBOutlet NSPanel *panelTerminal;
	 IBOutlet NSPanel *panelText;
	 IBOutlet NSPanel *panelPhotoshop;
	 IBOutlet NSPanel *panelIllustrator;
	 IBOutlet NSPanel *panelUser;
 
	 
	 NSMutableArray *panels;
	 
	 double  nAlpha; //Translucent effect
	 
	 int nPanelsShowOrder[MAXPANELS];//Elenco dei pannelli aperti con la sequenza di apertura (1=primo,2=secondo ecc.)
	 NSStatusItem *theItem; //Menu Nella Barra di Stato
		 
}

-(void)hideSplashScreenWnd; //Nascondo la finestra SplashScreen
-(void)setupMenuStatusBar;  //Visualizzo menu nella barra di stato
-(IBAction) showThePanel:(id)sender; //Debug Only
-(void) showThePanelFromMenu:(id)sender;//Visualizza i pannelli tramite menu su barra di stato
-(int) GetPanelTag:(int) prgShowedPanel;//Restituisce -1 se non trova nulla o ID del pannello
-(void) arrangePanels; //Riordina i pannelli
-(void)unhideApp:(id)sender;//Visualizza l'applicazione
-(void)closeAll:(id)sender; //Chiude Tutti i Pannelli
-(void)quitApp:(id)sender; //Termina l'applicazione

- (void)setHidden:(BOOL)aFlag;
- (BOOL)isHidden;


@end
